---
title: "查询销售计划组详情"
description: "查询销售计划组详情"
doc_type: openapi
doc_category: openapi
doc_version: v20270301
source_url:
  html: 'https://developer.shopline.com/zh-hans-cn/docs/admin-rest-api/product/sales-plan-group/query-sales-program-group-details'
  md: 'https://developer.shopline.com/zh-hans-cn/docs/admin-rest-api/product/sales-plan-group/query-sales-program-group-details.md'
---
# 查询销售计划组详情

查询销售计划组详情

- **Base URL:** `https://{handle}.myshopline.com/admin/openapi`
- **Required Scopes:** `read_selling_plan_group`
- **API Version:** v20270301
- **API Type:** Admin
- **API Protocol:** RESTful

## Endpoint

```http
GET /selling_plan_group/:selling_plan_group_id.json
```

## Base URL

* `https://{handle}.myshopline.com/admin/openapi`

  * `{handle}`: `handle` ：店铺的唯一标识符，值为店铺域名的前缀。例如，域名为 `open001.myshopline.com` 的店铺，其 `handle` 是 `open001` 。

## Required Permissions

* `read_selling_plan_group`

## Request

### Path Parameters

* `selling_plan_group_id`

  string (required)

  销售计划组ID

### Request Headers

* `Content-Type`

  string (required)

  字段值固定为 `application/json; charset=utf-8`。

* `Authorization`

  string (required)

  资源的访问令牌。参考 [应用授权](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/app-authorization.md?lang=zh-hans-cn) 获取访问令牌，然后将获取到的访问令牌以 Bearer 格式传入。

## Response

### Status Codes

* `200`

  更多状态码信息，参考 [HTTP 状态码](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/http-status-code.md?lang=zh-hans-cn)。

* `401`

  

* `429`

  

### Response Headers

* `traceId`

  请求的全局唯一标识符。用于追踪请求在系统中的流转，以便于问题发生时进行定位和调试。

### Response Body

#### 200

* `selling_plan_group`

  object

  销售计划组详情

  * `merchant_code`

    string

    展示给卖家看的名称

  * `product_ids`

    array<string>

    绑定的商品ID列表

  * `options`

    array<string>

    销售计划组选项列表

  * `description`

    string

    描述

  * `id`

    string

    销售计划组ID

  * `app_id`

    string

    销售渠道ID

  * `selling_plans`

    array<object>

    销售计划列表

    * `billing_policy`

      object

      计费策略

      * `recurring`

        object

        周期性计费策略内容

      * `policy_type`

        string

        策略类型：RECURRING - 周期性计费策略

    * `description`

      string

      销售计划描述

    * `id`

      string

      销售计划ID

    * `name`

      string

      销售计划名称

    * `options`

      array<string>

      销售计划选项列表

    * `position`

      integer

      展示位置，越小越靠前

    * `pricing_policies`

      array<object>

      价格策略

      * `policy_type`

        string

        策略类型：FIXED - 固定价格策略

      * `fixed`

        object

        固定价格策略内容

  * `name`

    string

    销售计划组名称

  * `position`

    integer

    展示位置


#### 401

* `errors`

  string

  错误描述。


#### 429

* `errors`

  string

  错误描述。


## OpenAPI Definition

```json
{
  "description": "查询销售计划组详情",
  "externalDocs": {
    "description": "接口使用的权限点: `read_selling_plan_group` ，更多权限点使用信息，请参考:",
    "url": "ec20/3cv5d7wpfgr6a8z5/xabczf5442284vkq?lang=zh-hans-cn",
    "errorTableDescription": ""
  },
  "operationId": "MdttP5tG",
  "parameters": [
    {
      "name": "selling_plan_group_id",
      "in": "path",
      "description": "销售计划组ID",
      "required": true,
      "style": "simple",
      "schema": {
        "name": "selling_plan_group_id",
        "description": "销售计划组ID",
        "type": "string",
        "example": "14056200245844372441100009"
      },
      "example": "14056200245844372441100009",
      "examples": {
        "查询详情": {
          "value": "14060881260524538485193144"
        }
      }
    },
    {
      "name": "Content-Type",
      "in": "header",
      "description": "字段值固定为 `application/json; charset=utf-8`。",
      "required": true,
      "style": "string",
      "schema": {
        "name": "Content-Type",
        "type": "string",
        "example": "application/json; charset=utf-8"
      }
    },
    {
      "name": "Authorization",
      "in": "header",
      "description": "资源的访问令牌。参考 [应用授权](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/app-authorization.md?lang=zh-hans-cn) 获取访问令牌，然后将获取到的访问令牌以 Bearer 格式传入。",
      "required": true,
      "style": "string",
      "schema": {
        "name": "Authorization",
        "description": "资源的访问令牌。请参考 [应用授权](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/app-authorization.md?lang=zh-hans-cn) 获取访问令牌，然后将获取到的访问令牌以 Bearer 格式传入",
        "type": "string",
        "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
      },
      "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
    }
  ],
  "responses": {
    "200": {
      "description": "更多状态码信息，参考 [HTTP 状态码](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/http-status-code.md?lang=zh-hans-cn)。",
      "headers": {
        "traceId": {
          "description": "请求的全局唯一标识符。用于追踪请求在系统中的流转，以便于问题发生时进行定位和调试。"
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "selling_plan_group": {
                "name": "selling_plan_group",
                "description": "销售计划组详情",
                "type": "object",
                "properties": {
                  "merchant_code": {
                    "name": "merchant_code",
                    "description": "展示给卖家看的名称",
                    "type": "string",
                    "example": "Subscription plan group default name\t"
                  },
                  "product_ids": {
                    "name": "product_ids",
                    "description": "绑定的商品ID列表",
                    "type": "array",
                    "items": {
                      "name": "product_ids",
                      "description": "绑定的商品ID列表",
                      "type": "string",
                      "example": "[\"16057039432335097907370282\"]"
                    },
                    "example": [
                      "[\"16057039432335097907370282\"]"
                    ]
                  },
                  "options": {
                    "name": "options",
                    "description": "销售计划组选项列表",
                    "type": "array",
                    "items": {
                      "name": "options",
                      "description": "销售计划组选项列表",
                      "type": "string",
                      "example": "[\"delivery every 1 months\", \"delivery every 2 months\", \"delivery every 3 months\"]"
                    },
                    "example": [
                      "[\"delivery every 1 months\", \"delivery every 2 months\", \"delivery every 3 months\"]"
                    ]
                  },
                  "description": {
                    "name": "description",
                    "description": "描述",
                    "type": "string",
                    "example": "This is a description"
                  },
                  "id": {
                    "name": "id",
                    "description": "销售计划组ID",
                    "type": "string",
                    "example": "14056200245844372441100009"
                  },
                  "app_id": {
                    "name": "app_id",
                    "description": "销售渠道ID",
                    "type": "string",
                    "example": "c41ac9e6736785502d2333d1b1153aca795075c4"
                  },
                  "selling_plans": {
                    "name": "selling_plans",
                    "description": "销售计划列表",
                    "type": "array",
                    "items": {
                      "name": "selling_plans",
                      "description": "销售计划列表",
                      "type": "object",
                      "properties": {
                        "billing_policy": {
                          "name": "billing_policy",
                          "description": "计费策略",
                          "type": "object",
                          "properties": {
                            "recurring": {
                              "name": "recurring",
                              "description": "周期性计费策略内容",
                              "type": "object",
                              "properties": {
                                "min_cycles": {
                                  "name": "min_cycles",
                                  "description": "最小计费周期",
                                  "type": "integer",
                                  "example": 1
                                },
                                "interval": {
                                  "name": "interval",
                                  "description": "计费频率单位：DAY、MONTH、WEEK、YEAR",
                                  "type": "string",
                                  "example": "DAY"
                                },
                                "interval_count": {
                                  "name": "interval_count",
                                  "description": "计费间隔， 默认是1",
                                  "type": "integer",
                                  "example": 10
                                },
                                "max_cycles": {
                                  "name": "max_cycles",
                                  "description": "最大计费周期",
                                  "type": "integer",
                                  "example": 1
                                }
                              },
                              "example": {
                                "interval_count": 10,
                                "max_cycles": 1,
                                "min_cycles": 1,
                                "interval": "DAY"
                              }
                            },
                            "policy_type": {
                              "name": "policy_type",
                              "description": "策略类型：RECURRING - 周期性计费策略",
                              "type": "string",
                              "example": "RECURRING"
                            }
                          },
                          "example": {
                            "policy_type": "RECURRING",
                            "recurring": {
                              "interval": "DAY",
                              "interval_count": 10,
                              "max_cycles": 1,
                              "min_cycles": 1
                            }
                          }
                        },
                        "description": {
                          "name": "description",
                          "description": "销售计划描述",
                          "type": "string",
                          "example": "This is a description"
                        },
                        "id": {
                          "name": "id",
                          "description": "销售计划ID",
                          "type": "string",
                          "example": "14156200245844372441120009"
                        },
                        "name": {
                          "name": "name",
                          "description": "销售计划名称",
                          "type": "string",
                          "example": "Delivery every 10 days\t"
                        },
                        "options": {
                          "name": "options",
                          "description": "销售计划选项列表",
                          "type": "array",
                          "items": {
                            "name": "options",
                            "description": "销售计划选项列表",
                            "type": "string",
                            "example": "[\"Delivery every 10 days\"]"
                          },
                          "example": [
                            "[\"Delivery every 10 days\"]"
                          ]
                        },
                        "position": {
                          "name": "position",
                          "description": "展示位置，越小越靠前",
                          "type": "integer",
                          "example": 1
                        },
                        "pricing_policies": {
                          "name": "pricing_policies",
                          "description": "价格策略",
                          "type": "array",
                          "items": {
                            "name": "pricing_policies",
                            "description": "价格策略",
                            "type": "object",
                            "properties": {
                              "policy_type": {
                                "name": "policy_type",
                                "description": "策略类型：FIXED - 固定价格策略",
                                "type": "string",
                                "example": "FIXED"
                              },
                              "fixed": {
                                "name": "fixed",
                                "description": "固定价格策略内容",
                                "type": "object",
                                "properties": {
                                  "adjustment_value": {
                                    "name": "adjustment_value",
                                    "description": "优惠值",
                                    "type": "object",
                                    "properties": {
                                      "fixed_value": {
                                        "name": "fixed_value",
                                        "description": "扣减固定金额",
                                        "type": "string",
                                        "example": "10"
                                      },
                                      "percentage": {
                                        "name": "percentage",
                                        "description": "扣减百分比",
                                        "type": "string",
                                        "example": "10.5"
                                      }
                                    },
                                    "example": {
                                      "fixed_value": "10",
                                      "percentage": "10.5"
                                    }
                                  },
                                  "adjustment_type": {
                                    "name": "adjustment_type",
                                    "description": "优惠类型：FIXED_AMOUNT - 减额，PERCENTAGE - 折扣",
                                    "type": "string",
                                    "example": "FIXED_AMOUNT"
                                  }
                                },
                                "example": {
                                  "adjustment_value": {
                                    "fixed_value": "10",
                                    "percentage": "10.5"
                                  },
                                  "adjustment_type": "FIXED_AMOUNT"
                                }
                              }
                            },
                            "example": {
                              "fixed": {
                                "adjustment_type": "FIXED_AMOUNT",
                                "adjustment_value": {
                                  "fixed_value": "10",
                                  "percentage": "10.5"
                                }
                              },
                              "policy_type": "FIXED"
                            }
                          },
                          "example": [
                            {
                              "policy_type": "FIXED",
                              "fixed": {
                                "adjustment_value": {
                                  "fixed_value": "10",
                                  "percentage": "10.5"
                                },
                                "adjustment_type": "FIXED_AMOUNT"
                              }
                            }
                          ]
                        }
                      },
                      "example": {
                        "billing_policy": {
                          "policy_type": "RECURRING",
                          "recurring": {
                            "max_cycles": 1,
                            "min_cycles": 1,
                            "interval": "DAY",
                            "interval_count": 10
                          }
                        },
                        "description": "This is a description",
                        "id": "14156200245844372441120009",
                        "name": "Delivery every 10 days\t",
                        "options": [
                          "[\"Delivery every 10 days\"]"
                        ],
                        "position": 1,
                        "pricing_policies": [
                          {
                            "fixed": {
                              "adjustment_type": "FIXED_AMOUNT",
                              "adjustment_value": {
                                "percentage": "10.5",
                                "fixed_value": "10"
                              }
                            },
                            "policy_type": "FIXED"
                          }
                        ]
                      }
                    },
                    "example": [
                      {
                        "options": [
                          "[\"Delivery every 10 days\"]"
                        ],
                        "position": 1,
                        "pricing_policies": [
                          {
                            "fixed": {
                              "adjustment_value": {
                                "fixed_value": "10",
                                "percentage": "10.5"
                              },
                              "adjustment_type": "FIXED_AMOUNT"
                            },
                            "policy_type": "FIXED"
                          }
                        ],
                        "billing_policy": {
                          "policy_type": "RECURRING",
                          "recurring": {
                            "interval": "DAY",
                            "interval_count": 10,
                            "max_cycles": 1,
                            "min_cycles": 1
                          }
                        },
                        "description": "This is a description",
                        "id": "14156200245844372441120009",
                        "name": "Delivery every 10 days\t"
                      }
                    ]
                  },
                  "name": {
                    "name": "name",
                    "description": "销售计划组名称",
                    "type": "string",
                    "example": "Subscription plan group default name\t"
                  },
                  "position": {
                    "name": "position",
                    "description": "展示位置",
                    "type": "integer",
                    "example": 1
                  }
                },
                "example": {
                  "name": "Subscription plan group default name\t",
                  "app_id": "c41ac9e6736785502d2333d1b1153aca795075c4",
                  "id": "14056200245844372441100009",
                  "position": 1,
                  "product_ids": [
                    "[\"16057039432335097907370282\"]"
                  ],
                  "options": [
                    "[\"delivery every 1 months\", \"delivery every 2 months\", \"delivery every 3 months\"]"
                  ],
                  "description": "This is a description",
                  "merchant_code": "Subscription plan group default name\t",
                  "selling_plans": [
                    {
                      "billing_policy": {
                        "recurring": {
                          "interval": "DAY",
                          "interval_count": 10,
                          "max_cycles": 1,
                          "min_cycles": 1
                        },
                        "policy_type": "RECURRING"
                      },
                      "description": "This is a description",
                      "id": "14156200245844372441120009",
                      "name": "Delivery every 10 days\t",
                      "options": [
                        "[\"Delivery every 10 days\"]"
                      ],
                      "position": 1,
                      "pricing_policies": [
                        {
                          "fixed": {
                            "adjustment_type": "FIXED_AMOUNT",
                            "adjustment_value": {
                              "fixed_value": "10",
                              "percentage": "10.5"
                            }
                          },
                          "policy_type": "FIXED"
                        }
                      ]
                    }
                  ]
                }
              }
            },
            "example": {
              "selling_plan_group": {
                "name": "Subscription plan group default name\t",
                "selling_plans": [
                  {
                    "id": "14156200245844372441120009",
                    "name": "Delivery every 10 days\t",
                    "options": [
                      "[\"Delivery every 10 days\"]"
                    ],
                    "position": 1,
                    "pricing_policies": [
                      {
                        "fixed": {
                          "adjustment_type": "FIXED_AMOUNT",
                          "adjustment_value": {
                            "percentage": "10.5",
                            "fixed_value": "10"
                          }
                        },
                        "policy_type": "FIXED"
                      }
                    ],
                    "billing_policy": {
                      "policy_type": "RECURRING",
                      "recurring": {
                        "min_cycles": 1,
                        "interval": "DAY",
                        "interval_count": 10,
                        "max_cycles": 1
                      }
                    },
                    "description": "This is a description"
                  }
                ],
                "position": 1,
                "app_id": "c41ac9e6736785502d2333d1b1153aca795075c4",
                "options": [
                  "[\"delivery every 1 months\", \"delivery every 2 months\", \"delivery every 3 months\"]"
                ],
                "description": "This is a description",
                "product_ids": [
                  "[\"16057039432335097907370282\"]"
                ],
                "merchant_code": "Subscription plan group default name\t",
                "id": "14056200245844372441100009"
              }
            }
          },
          "examples": {
            "查询详情": {
              "value": {
                "selling_plan_group": {
                  "description": "This is a description",
                  "id": "14060881260524538485193144",
                  "app_id": "111afe2f9baceb93004af92b1276582619f1db26",
                  "name": "Subscription plan group default name",
                  "options": [
                    "delivery every 1 months"
                  ],
                  "merchant_code": "Subscription plan group default name",
                  "position": 1,
                  "product_ids": [
                    "16060878906566210188893144"
                  ],
                  "selling_plans": [
                    {
                      "name": "delivery every 1 weeks",
                      "options": [
                        "Delivery every 10 days"
                      ],
                      "position": 1,
                      "pricing_policies": [
                        {
                          "policy_type": "FIXED",
                          "fixed": {
                            "adjustment_type": "FIXED_AMOUNT",
                            "adjustment_value": {
                              "fixed_value": "10.00"
                            }
                          }
                        }
                      ],
                      "billing_policy": {
                        "policy_type": "RECURRING",
                        "recurring": {
                          "max_cycles": 1,
                          "min_cycles": 1,
                          "interval": "DAY",
                          "interval_count": 10
                        }
                      },
                      "description": "This is a description",
                      "id": "14160881260524538485213144"
                    }
                  ]
                }
              }
            }
          }
        }
      }
    },
    "401": {
      "headers": {
        "traceId": {
          "description": "请求的全局唯一标识符。用于追踪请求在系统中的流转，以便于问题发生时进行定位和调试。"
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "错误描述。",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    },
    "429": {
      "headers": {
        "traceId": {
          "description": "请求的全局唯一标识符。用于追踪请求在系统中的流转，以便于问题发生时进行定位和调试。"
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "错误描述。",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    }
  },
  "security": [
    {
      "oauth2": []
    }
  ],
  "method": "get",
  "path": "/selling_plan_group/:selling_plan_group_id.json",
  "servers": [
    {
      "url": "https://{handle}.myshopline.com/admin/openapi",
      "variables": {
        "handle": {
          "default": "openapiceshidianpu",
          "description": "`handle` ：店铺的唯一标识符，值为店铺域名的前缀。例如，域名为 `open001.myshopline.com` 的店铺，其 `handle` 是 `open001` 。"
        }
      }
    }
  ],
  "info": {
    "title": "查询销售计划组详情",
    "version": "v20270301"
  },
  "authIndexes": [
    "read_selling_plan_group"
  ]
}
```